function [pdf] = ran_gaussian_tail_pdf(x,a,sigma)

% Normalisation constant
N = 1/2*erfc(a/sqrt(2*sigma^2));

% pdf
pdf = exp(-x.^2/2/sigma^2) / sqrt(2*pi*sigma^2) / N;

% Remove points which are smaller than a
pdf(x<a) = 0.0;

end

