## UTOPIAE_ORBIT LIBRARY
find_path (UTOPIAE_ORBIT_INCLUDE_DIR
        NAMES  utopiaeorbit.h
        PATHS "/usr/local/include/utopiae-orbit/" )
mark_as_advanced (UTOPIAE_ORBIT_INCLUDE_DIR)

find_library (UTOPIAE_ORBIT_LIBRARY
        NAMES utopiae-orbit
        PATHS "/usr/local/lib/utopiae-orbit/" )
mark_as_advanced (UTOPIAE_ORBIT_LIBRARY)

include (FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS (UTOPIAE_ORBIT
        REQUIRED_VARS UTOPIAE_ORBIT_LIBRARY UTOPIAE_ORBIT_INCLUDE_DIR
        VERSION_VAR UTOPIAE_ORBIT_VERSION_STRING
        )

if (UTOPIAE_ORBIT_FOUND)

    # UTOPIAE ORBIT
    set (UTOPIAE_ORBIT_LIBRARIES ${UTOPIAE_ORBIT_LIBRARY})
    set (UTOPIAE_ORBIT_INCLUDE_DIRS ${UTOPIAE_ORBIT_INCLUDE_DIR})

    # Add compiler flag
    add_definitions(-D__USE_UTOPIAE_ORBIT)

#    message(STATUS "UTOPIAE_ORBIT include directory: ${UTOPIAE_ORBIT_INCLUDE_DIRS}")
#    message(STATUS "UTOPIAE_ORBIT library: ${UTOPIAE_ORBIT_LIBRARIES}")

else()

    message( FATAL_ERROR "UTOPIAE ORBIT not found")

endif()