#!/bin/bash

pushd `dirname $0`

mkdir -p build
cd build
cmake .. -DCMAKE_CXX_COMPILER=$(which g++) -DCMAKE_C_COMPILER=$(which gcc)
make CXX=$(which g++) CC=$(which gcc)
BUILD_EXIT_CODE=$?

popd

exit "$BUILD_EXIT_CODE"