function [xi,cumProbi] = ecdfCustom(x,d)

% Dimensions
lx = length(x);
cumProbi = zeros(lx+2,1);
% xi = zeros(lx+2,1);

% Order
x = x(:);
d = d(:);
d = d/sum(d);
[x,index] = sort(x);
d = d(index);

% First and last point
xi = [x(1)-1.0e-3*abs(x(1)); x; x(end)+1.0e-3*abs(x(end))];


% Intermediate point have phi()=1 if \leq than i, 0 otherwise
for i = 1:lx   
    cumProbi(i+1) = sum(d(1:i));    
end

% Sobol sequence
% cumProbi = cumProbi/lx;

% Last point
cumProbi(end) = 1.0;

end

